import React from "react";
import ReactDOM from "react-dom/client";
import "./index.css";
import { RouterProvider } from "react-router";
import { createBrowserRouter } from "react-router-dom";
import Root from "./Pages/Root.tsx";
import About from "./Pages/About.tsx";
import ErrorPage from "./Pages/ErrorPage.tsx";
import HomePage from "./Pages/HomePage.tsx";
import CVPage from "./Pages/CVPage.tsx";
import ProjectPage from "./Pages/ProjectPage.tsx";

const router = createBrowserRouter([
  {
    path: "/",
    element: <Root />,
    children: [


      { path: "/", element: <HomePage /> },
      {
        path: "/about",
        element: <About />,
      },
      {path: "/cv", element: <CVPage/>},
      {path: "/projects", element: <ProjectPage/>},
      { path: "*", element: <ErrorPage /> },
    ],
  },
]);

ReactDOM.createRoot(document.getElementById("root")!).render(
  <React.StrictMode>
    <RouterProvider router={router} />
  </React.StrictMode>
);
